Get an asynchronous operation
curl --request GET \
--url https://api.blank.build/api/v2/operations/{operationId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.blank.build/api/v2/operations/{operationId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.blank.build/api/v2/operations/{operationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"completedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"error": {
"detail": "<string>",
"instance": "<string>",
"requestId": "req_0123456789abcdef0123456789abcdef",
"status": 499,
"title": "<string>",
"type": "<string>",
"causes": [
{
"detail": "<string>",
"title": "<string>",
"context": {}
}
],
"context": {},
"errors": [
{
"code": "<string>",
"message": "<string>",
"path": "<string>"
}
]
},
"id": "24c85940-7968-4b71-92dd-0d8f017cea5a",
"kind": "<string>",
"resultUrl": "<string>",
"startedAt": "2023-11-07T05:31:56Z",
"progress": {
"completed": 1,
"total": 123,
"unit": "<string>"
}
}{
"code": "invalid_api_key",
"detail": "<string>",
"instance": "<string>",
"requestId": "req_0123456789abcdef0123456789abcdef",
"status": 401,
"title": "Invalid API key",
"type": "https://blank.build/docs/reference/errors#invalid_api_key",
"causes": [
{
"detail": "<string>",
"title": "<string>",
"context": {}
}
],
"context": {},
"errors": [
{
"code": "<string>",
"message": "<string>",
"path": "<string>"
}
]
}{
"code": "insufficient_scope",
"detail": "<string>",
"instance": "<string>",
"requestId": "req_0123456789abcdef0123456789abcdef",
"status": 403,
"title": "Insufficient scope",
"type": "https://blank.build/docs/reference/errors#insufficient_scope",
"causes": [
{
"detail": "<string>",
"title": "<string>",
"context": {}
}
],
"context": {},
"errors": [
{
"code": "<string>",
"message": "<string>",
"path": "<string>"
}
]
}{
"code": "operation_not_found",
"detail": "<string>",
"instance": "<string>",
"requestId": "req_0123456789abcdef0123456789abcdef",
"status": 404,
"title": "Operation not found",
"type": "https://blank.build/docs/reference/errors#operation_not_found",
"causes": [
{
"detail": "<string>",
"title": "<string>",
"context": {}
}
],
"context": {},
"errors": [
{
"code": "<string>",
"message": "<string>",
"path": "<string>"
}
]
}{
"code": "validation_failed",
"detail": "<string>",
"instance": "<string>",
"requestId": "req_0123456789abcdef0123456789abcdef",
"status": 422,
"title": "Validation failed",
"type": "https://blank.build/docs/reference/errors#validation_failed",
"causes": [
{
"detail": "<string>",
"title": "<string>",
"context": {}
}
],
"context": {},
"errors": [
{
"code": "<string>",
"message": "<string>",
"path": "<string>"
}
]
}{
"code": "rate_limit_exceeded",
"detail": "<string>",
"instance": "<string>",
"requestId": "req_0123456789abcdef0123456789abcdef",
"status": 429,
"title": "Rate limit exceeded",
"type": "https://blank.build/docs/reference/errors#rate_limit_exceeded",
"causes": [
{
"detail": "<string>",
"title": "<string>",
"context": {}
}
],
"context": {},
"errors": [
{
"code": "<string>",
"message": "<string>",
"path": "<string>"
}
]
}{
"code": "internal_error",
"detail": "<string>",
"instance": "<string>",
"requestId": "req_0123456789abcdef0123456789abcdef",
"status": 500,
"title": "Internal server error",
"type": "https://blank.build/docs/reference/errors#internal_error",
"causes": [
{
"detail": "<string>",
"title": "<string>",
"context": {}
}
],
"context": {},
"errors": [
{
"code": "<string>",
"message": "<string>",
"path": "<string>"
}
]
}{
"code": "rate_limit_unavailable",
"detail": "<string>",
"instance": "<string>",
"requestId": "req_0123456789abcdef0123456789abcdef",
"status": 503,
"title": "Rate limiting unavailable",
"type": "https://blank.build/docs/reference/errors#rate_limit_unavailable",
"causes": [
{
"detail": "<string>",
"title": "<string>",
"context": {}
}
],
"context": {},
"errors": [
{
"code": "<string>",
"message": "<string>",
"path": "<string>"
}
]
}Operations
Get an asynchronous operation
Returns an operation owned by the authenticated account.
GET
/
operations
/
{operationId}
Get an asynchronous operation
Authorizations
Server-side scoped Blank API key. Never embed it in browser or mobile code.
Path Parameters
Response
Owned operation.
Show child attributes
Show child attributes
Example:
"24c85940-7968-4b71-92dd-0d8f017cea5a"
Pattern:
^[a-z][a-z0-9_]*$Available options:
queued, running, succeeded, failed, cancelled Show child attributes
Show child attributes
⌘I